/* random ant generator */

#include <stdlib.h>
#include <stdio.h>
#include <time.h>
#include "world.h"



#include <sys/time.h>



int main(int argc, char **argv)
{
	int states;
	int i;
	struct instruction *is;
	
	states = atoi(argv[1]);
	if (argc > 2) {
		srand(atoi(argv[2]));
	} else {
		struct timeval tv;
		long seed;
		if (gettimeofday(&tv, NULL) == 0) {
			seed = tv.tv_sec + tv.tv_usec;
		} else {
			seed = time(NULL);
		}
		srand(seed);
	}

	is = xmalloc((states + 1) * sizeof (struct instruction));
	for (i = 0; i < states; i++) {
		random_instruction_weighted(&is[i], i, states);
	}
	is[states].code = 0;
	print_program(is, stdout);
	return 0;
}
